Package ru.bitel.bgbilling.modules.subscription.common.bean

# Class SubscriptionType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.subscription.common.bean.SubscriptionType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class SubscriptionType extends IdTitle
Описание вида подписки. Возможно здесь привязка к услуге (или к услуге по умолчанию)

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SubscriptionType.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubscriptionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SubscriptionType.Builder`
  `builder()`
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `ValueUnit`
  `getDelay()`
  `ValueUnit`
  `getDuration()`
  `PeriodWithTime`
  `getNewRegistrationPeriod(Date initDate)`
  `Period`
  `getPeriod()`
  `ValueUnit`
  `getRound()`
  `int`
  `getServiceId()`
  `boolean`
  `isAvtoCommit()`
  `SubscriptionType`
  `setAvtoCommit(boolean avtoCommit)`
  `SubscriptionType`
  `setComment(String comment)`
  `SubscriptionType`
  `setConfig(String config)`
  `SubscriptionType`
  `setDelay(ValueUnit delay)`
  `SubscriptionType`
  `setDuration(ValueUnit duration)`
  `SubscriptionType`
  `setPeriod(Period period)`
  `SubscriptionType`
  `setRound(ValueUnit round)`
  `SubscriptionType`
  `setServiceId(int serviceId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### SubscriptionType

    public SubscriptionType()

- ## Method Details

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public SubscriptionType setServiceId(int serviceId)

  - ### getComment

    public String getComment()

  - ### setComment

    public SubscriptionType setComment(String comment)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public SubscriptionType setPeriod(Period period)

  - ### getDuration

    public ValueUnit getDuration()

  - ### setDuration

    public SubscriptionType setDuration(ValueUnit duration)

  - ### getDelay

    public ValueUnit getDelay()

  - ### setDelay

    public SubscriptionType setDelay(ValueUnit delay)

  - ### getRound

    public ValueUnit getRound()

  - ### setRound

    public SubscriptionType setRound(ValueUnit round)

  - ### isAvtoCommit

    public boolean isAvtoCommit()

  - ### setAvtoCommit

    public SubscriptionType setAvtoCommit(boolean avtoCommit)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public SubscriptionType setConfig(String config)

  - ### getNewRegistrationPeriod

    public PeriodWithTime getNewRegistrationPeriod(Date initDate)

  - ### builder

    public static SubscriptionType.Builder builder()